## org.freedesktop.NetworkManager.IP4Config org.freedesktop.NetworkManager.IP4Config |

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Addresses    readable   aau
    AddressData  readable   aa{sv}
    Gateway      readable   s
    Routes       readable   aau
    RouteData    readable   aa{sv}
    Nameservers  readable   au
    Domains      readable   as
    Searches     readable   as
    DnsOptions   readable   as
    DnsPriority  readable   i
    WinsServers  readable   au

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Addresses" property

    Addresses  readable   aau

Array of arrays of IPv4 address/prefix/gateway. All 3 elements of each array are in network byte order. Essentially: [(addr, prefix, gateway), (addr, prefix, gateway), ...] Deprecated: use AddressData and Gateway

### The "AddressData" property

    AddressData  readable   aa{sv}

Array of IP address data objects. All addresses will include "address" (an IP address string), and "prefix" (a uint). Some addresses may include additional attributes.

### The "Gateway" property

    Gateway  readable   s

The gateway in use.

### The "Routes" property

    Routes  readable   aau

Arrays of IPv4 route/prefix/next-hop/metric. All 4 elements of each tuple are in network byte order. 'route' and 'next hop' are IPv4 addresses, while prefix and metric are simple unsigned integers. Essentially: [(route, prefix, next-hop, metric), (route, prefix, next-hop, metric), ...] Deprecated: use RouteData

### The "RouteData" property

    RouteData  readable   aa{sv}

Array of IP route data objects. All routes will include "dest" (an IP address string) and "prefix" (a uint). Some routes may include "next-hop" (an IP address string), "metric" (a uint), and additional attributes.

### The "Nameservers" property

    Nameservers  readable   au

The nameservers in use.

### The "Domains" property

    Domains  readable   as

A list of domains this address belongs to.

### The "Searches" property

    Searches  readable   as

A list of dns searches.

### The "DnsOptions" property

    DnsOptions  readable   as

A list of DNS options that modify the behavior of the DNS resolver. See resolv.conf(5) manual page for the list of supported options.

### The "DnsPriority" property

    DnsPriority  readable   i

The relative priority of DNS servers.

### The "WinsServers" property

    WinsServers  readable   au

The Windows Internet Name Service servers associated with the connection. Each address is in network byte order.